<template>
  <component
    v-bind:is="activeComponent"
    v-bind:email="emailAdress"
    @signUpValidated="switchToConfirmation"
  />
</template>

<script>
import Subscribe from "./forms/Subscribe.vue";
import SubscribeNotification from "./misc/SubscribeNotification.vue";

export default {
  name: "Subscribe",
  data: function() {
    return {
      activeComponent: Subscribe,
      emailAdress: null
    };
  },
  components: {
    SubscribeNotification,
    Subscribe
  },
  mounted: function() {
    if (this.$auth.isLoggedIn(this.$cookie)) this.$auth.logOut(this.$cookie);
  },
  methods: {
    switchToConfirmation: function(event) {
      if (event) {
        this.emailAdress = event;
        this.activeComponent = SubscribeNotification;
      }
    }
  }
};
</script>

<style>
</style>